osmium::handler::DiskStore Class Reference

`#include <disk_store.hpp>`

Inheritance diagram for osmium::handler::DiskStore:
[legend]
Collaboration diagram for osmium::handler::DiskStore:
[legend]

## Public Member Functions

| DiskStore (int data_fd, offset_index_type &node_index, offset_index_type &way_index, offset_index_type &relation_index)
| DiskStore (const DiskStore &)=delete
DiskStore & | operator= (const DiskStore &)=delete
| ~DiskStore () noexcept=default
void | node (const osmium::Node &node)
void | way (const osmium::Way &way)
void | relation (const osmium::Relation &relation)
void | operator() (const osmium::memory::Buffer &buffer)
Public Member Functions inherited from osmium::handler::Handler
void | osm_object (const osmium::OSMObject &) const
void | node (const osmium::Node &) const
void | way (const osmium::Way &) const
void | relation (const osmium::Relation &) const
void | area (const osmium::Area &) const
void | changeset (const osmium::Changeset &) const
void | tag_list (const osmium::TagList &) const
void | way_node_list (const osmium::WayNodeList &) const
void | relation_member_list (const osmium::RelationMemberList &) const
void | outer_ring (const osmium::OuterRing &) const
void | inner_ring (const osmium::InnerRing &) const
void | changeset_discussion (const osmium::ChangesetDiscussion &) const
void | flush () const

## Private Types

typedef osmium::index::map::Map< unsigned_object_id_type, size_t > | offset_index_type

## Private Attributes

size_t | m_offset = 0
int | m_data_fd
offset_index_type & | m_node_index
offset_index_type & | m_way_index
offset_index_type & | m_relation_index

## Detailed Description

Note: This handler will only work if either all object IDs are positive or all object IDs are negative.

## Member Typedef Documentation

typedef osmium::index::map::Map<unsigned_object_id_type, size_t> osmium::handler::DiskStore::offset_index_type

private

## Constructor & Destructor Documentation

osmium::handler::DiskStore::DiskStore | ( | int | data_fd,
|  | offset_index_type & | node_index,
|  | offset_index_type & | way_index,
|  | offset_index_type & | relation_index
| ) |  |

inline explicit

osmium::handler::DiskStore::DiskStore | ( | const DiskStore & |  | ) |

delete

osmium::handler::DiskStore::~DiskStore | ( |  | ) |

default noexcept

## Member Function Documentation

void osmium::handler::DiskStore::node | ( | const osmium::Node & | node | ) |

inline

void osmium::handler::DiskStore::operator() | ( | const osmium::memory::Buffer & | buffer | ) |

inline

DiskStore& osmium::handler::DiskStore::operator= | ( | const DiskStore & |  | ) |

delete

void osmium::handler::DiskStore::relation | ( | const osmium::Relation & | relation | ) |

inline

void osmium::handler::DiskStore::way | ( | const osmium::Way & | way | ) |

inline

## Member Data Documentation

int osmium::handler::DiskStore::m_data_fd

private

offset_index_type& osmium::handler::DiskStore::m_node_index

private

size_t osmium::handler::DiskStore::m_offset = 0

private

offset_index_type& osmium::handler::DiskStore::m_relation_index

private

offset_index_type& osmium::handler::DiskStore::m_way_index

private

The documentation for this class was generated from the following file:

- osmium/handler/disk_store.hpp